Patchwork ARM: tegra30: tegra30 gpio is not compatible with tegra20 gpio

login
register
mail settings
Submitter Laxman Dewangan
Date Dec. 19, 2012, 2:57 p.m.
Message ID <1355929032-26549-1-git-send-email-ldewangan@nvidia.com>
Download mbox | patch
Permalink /patch/207379/
State Accepted, archived
Headers show

Comments

Laxman Dewangan - Dec. 19, 2012, 2:57 p.m.
tegra30 gpio controller is not compatible with the tegra20 due to
their bank stride i.e. Tegra20 bank stride is 0x80 where Tegra30
bank stride is 0x100.

Signed-off-by: Laxman Dewangan <ldewangan@nvidia.com>
---
 arch/arm/boot/dts/tegra30.dtsi |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)
Stephen Warren - Dec. 19, 2012, 5:04 p.m.
On 12/19/2012 07:57 AM, Laxman Dewangan wrote:
> tegra30 gpio controller is not compatible with the tegra20 due to
> their bank stride i.e. Tegra20 bank stride is 0x80 where Tegra30
> bank stride is 0x100.

Thanks, I've been meaning to clean this up for a while, but never got
around to it. I can apply after the merge window is closed; I don't
think it's important enough to warrant going into 3.8 or earlier, since
it doesn't cause any active problems.

Have you checked all the other devices to make sure they're all correct to?
--
To unsubscribe from this list: send the line "unsubscribe linux-tegra" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Laxman Dewangan - Dec. 20, 2012, 6:16 a.m.
On Wednesday 19 December 2012 10:34 PM, Stephen Warren wrote:
> On 12/19/2012 07:57 AM, Laxman Dewangan wrote:
>> tegra30 gpio controller is not compatible with the tegra20 due to
>> their bank stride i.e. Tegra20 bank stride is 0x80 where Tegra30
>> bank stride is 0x100.
> Thanks, I've been meaning to clean this up for a while, but never got
> around to it. I can apply after the merge window is closed; I don't
> think it's important enough to warrant going into 3.8 or earlier, since
> it doesn't cause any active problems.
>
> Have you checked all the other devices to make sure they're all correct to?

Not yet, I  am going one by one for finding if anything we are missing 
on IO drivers or not and then came across this.

--
To unsubscribe from this list: send the line "unsubscribe linux-tegra" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Stephen Warren - Jan. 2, 2013, 7:07 p.m.
On 12/19/2012 07:57 AM, Laxman Dewangan wrote:
> tegra30 gpio controller is not compatible with the tegra20 due to
> their bank stride i.e. Tegra20 bank stride is 0x80 where Tegra30
> bank stride is 0x100.

Applied to Tegra's for-3.9/dt branch.

--
To unsubscribe from this list: send the line "unsubscribe linux-tegra" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Patch

diff --git a/arch/arm/boot/dts/tegra30.dtsi b/arch/arm/boot/dts/tegra30.dtsi
index 80a0edf..dfa9f57 100644
--- a/arch/arm/boot/dts/tegra30.dtsi
+++ b/arch/arm/boot/dts/tegra30.dtsi
@@ -176,7 +176,7 @@ 
 	};
 
 	gpio: gpio {
-		compatible = "nvidia,tegra30-gpio", "nvidia,tegra20-gpio";
+		compatible = "nvidia,tegra30-gpio"
 		reg = <0x6000d000 0x1000>;
 		interrupts = <0 32 0x04
 			      0 33 0x04